Package helma.scripting.rhino

# Class CompiledOrInterpretedModuleScriptProvider

java.lang.Object
org.mozilla.javascript.commonjs.module.provider.CachingModuleScriptProviderBase
org.mozilla.javascript.commonjs.module.provider.StrongCachingModuleScriptProvider
helma.scripting.rhino.CompiledOrInterpretedModuleScriptProvider

All Implemented Interfaces:
  `Serializable`, `org.mozilla.javascript.commonjs.module.ModuleScriptProvider`

public class CompiledOrInterpretedModuleScriptProvider extends org.mozilla.javascript.commonjs.module.provider.StrongCachingModuleScriptProvider
Provides module scripts without compiling, should compiling not be possible for whatever reason. The main reason being targeted though, is the "generated bytecode for method exceeds 64K limit" issue.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.mozilla.javascript.commonjs.module.provider.CachingModuleScriptProviderBase

`org.mozilla.javascript.commonjs.module.provider.CachingModuleScriptProviderBase.CachedModuleScript`

## Constructor Summary

Constructors
Constructor
Description
`CompiledOrInterpretedModuleScriptProvider(org.mozilla.javascript.commonjs.module.provider.ModuleSourceProvider moduleSourceProvider)`
Delegates to the super constructor.

## Method Summary

Modifier and Type
Method
Description
`org.mozilla.javascript.commonjs.module.ModuleScript`
`getModuleScript(org.mozilla.javascript.Context cx, String moduleId, URI moduleUri, URI baseUri, org.mozilla.javascript.Scriptable paths)`

### Methods inherited from class org.mozilla.javascript.commonjs.module.provider.StrongCachingModuleScriptProvider

`getLoadedModule, putLoadedModule`

### Methods inherited from class org.mozilla.javascript.commonjs.module.provider.CachingModuleScriptProviderBase

`getConcurrencyLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompiledOrInterpretedModuleScriptProvider

public CompiledOrInterpretedModuleScriptProvider(org.mozilla.javascript.commonjs.module.provider.ModuleSourceProvider moduleSourceProvider)
Delegates to the super constructor.

## Method Details

### getModuleScript

public org.mozilla.javascript.commonjs.module.ModuleScript getModuleScript(org.mozilla.javascript.Context cx, String moduleId, URI moduleUri, URI baseUri, org.mozilla.javascript.Scriptable paths) throws Exception

Specified by:
  `getModuleScript` in interface `org.mozilla.javascript.commonjs.module.ModuleScriptProvider`
Overrides:
  `getModuleScript` in class `org.mozilla.javascript.commonjs.module.provider.CachingModuleScriptProviderBase`
Throws:
  `Exception`